using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Dvb.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x65,"PMT")]
    [BannedTable("TSDT","EIT")]
    class ScramblingDescriptor : TsDescriptor
    {
        public ScramblingDescriptor(byte[] buffer)
        {
            if (buffer.Length == 0)
            {
                Valid = false;
                return;
            }
            ScramblingMode = buffer[0];
            Valid = true;
        }

        public byte ScramblingMode { get; private set; }
    }
}
